Skip to main content

Get web client config

GET /api/v1/web-client/config

Get the configuration of the web client. This endpoint is typically one of the first invoked, and does not require authentication. It provides general settings for the web client independent of users.

Responses​

StatusDescription
200Successful Response

Response body​

FieldTypeRequiredDescription
app_modeAppModeyes—
posthog_client_key`stringnull`yes
feature_flagsWebClientFeatureFlagsyes—
providers_configuredProviderType[]yes—
maintenance_start_time`stringnull`yes
auth_url`stringnull`yes
recaptcha_site_key`stringnull`yes
faulty_modelsstring[]yes—
error_message`stringnull`yes
updated_atstringyes—
github_app_slug`stringnull`yes
gitlab_enabledbooleanno—
provider_default_hostsobjectno—
slack_enabledbooleanno—
email_enabledbooleanno—
email_change_enabledbooleanno—
acp_providersACPProviderConfig[]no—
jira_dc_oauth_host`stringnull`no
jira_dc_service_account_managedbooleanno—
jira_dc_service_account_email`stringnull`no
jira_dc_service_account_config_error`stringnull`no
kindstringyes—

Operation ID: get_web_client_config_api_v1_web_client_config_get